/* CSS styles for the tool */
*::-webkit-scrollbar {
    height: 0px !important;
}

.tool__btn {
    background-color: #3acd99;
    color: #fff;
    border-radius: 6px !important;
    display: inline-block;
    padding: 6px 10px;
    cursor: pointer;
    border: none;
    min-width: 110px;
    margin-bottom: 8px;
    font-size: 14px;
    line-height: 24px;
}

#generate_multiple,
#generate_multiple:focus {
    outline: 1px solid #44c4c4;
    overflow: scroll;
    cursor: pointer;
}

.h3,
h3 {
    font-size: 22px !important;
}

.input-textarea {
    width: 67%;
    height: 40px;
    background: #fff;
    border: 1px solid #aaa;
    resize: none;
    overflow: hidden;
    background: #f4f8f9;
    border-radius: 6px !important;
    border: none;
    outline: none;
    padding: 6px;
}

.border-set {
    border: 1px solid #e2e2e2;
    /* box-shadow: 2px 2px 0px #000; */
    padding: 16px;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    min-height: fit-content;
}

.flex-row {
    display: flex;
    gap: 20px;
    align-items: stretch;
    margin-bottom: 10px;
}

.flex-item {
    flex: 1;
}


.description {
    font-size: 16px;
}

tr td:last-child {
    display: block !important;
}

tr td:last-child:hover {
    background: #ddd !important;
    cursor: pointer;
}

.align {
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* margin-top: 10px; */
}

.gap-1 {
    gap: 10px;
}

#select_all {
    font-size: 18px;
}

.action-img {
    background: #f4f8f9;
    padding: 7px;
    border-radius: 6px;
    cursor: pointer;
}

.action-img img {
    width: 18px;
}

.check-textarea {
    width: 100%;
    height: 140px;
    margin: 0 auto;
    background: #fff;
    /* border: 1px solid #44c4c4; */
    padding: 12px;
    resize: vertical;
    border: none;
    border-radius: 6px;
    background: #f4f8f9;
    resize: none;
    outline: 1px solid #44c4c4
}

.lang-n-words {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.langSelectBox ul li,
select.langAbs option {
    padding: 6px 10px 6px 6px;
    cursor: pointer;
    display: inline-block;
    width: 100%;
    float: left;
    color: #7f8384;
    /* border-bottom: 1px solid #00b698; */
}

body.dark_mode_ui .langGlobx:after {
    color: #fff;
}

.uperSelectBoxLang::-webkit-scrollbar {
    width: 13px;
}

.uperSelectBoxLang::-webkit-scrollbar-track {
    background-color: #f2f7f9;
}

.selected-dropdown {
    color: #000 !important;
    background: #eee;
}

.check-textarea:focus {
    outline: 1px solid #44c4c4;
}

.uperSelectBoxLang::-webkit-scrollbar-thumb {
    background-color: #00b698;
    border-radius: 2px;
    border: 3px solid transparent;
    background-clip: content-box;
}

.langSelectBox ul li:hover,
select.langAbs option:hover {
    background: #eee;
}

ul.langAbs {
    margin: 0;
    padding: 0;
    position: absolute;
    z-index: 12;
    overflow: overlay;
    bottom: 30px;
    right: 0;
    left: 0;
    display: none;
    height: 100px;
    background: #fff;
    -webkit-box-shadow: rgb(60 64 67 / 30%) 0 1px 2px 0,
        rgb(60 64 67 / 15%) 0 2px 6px 2px;
    box-shadow: rgb(60 64 67 / 30%) 0 1px 2px 0,
        rgb(60 64 67 / 15%) 0 2px 6px 2px;
    width: 118px;
    max-height: 100px;
    overflow: auto;
}

.active.uperSelectBoxLang {
    display: table;
}

small {
    color: #9da0a1;
    font-size: 14px;
}

.langAbs {
    -webkit-margin-end: 10px;
    margin-inline-end: 10px;
    height: auto;
    border: none;
    outline: 0;
    color: #000;
    -moz-appearance: none;
    -webkit-appearance: none;
    -webkit-border-radius: 0px;
    appearance: none;
    background: #fff !important;
    background-color: #fff !important;
    font-size: 16px;
    margin-left: 5px;
    color: #7f8384;
    font-size: 16px;
}

.langAbs:focus-visible {
    outline: 0;
}

.langSelectBox {
    text-align: center;
    display: inline-block;
    position: relative;
    padding: 4px 10px 2px 6px;
    border: 1px solid #e2e2e2;
    border-radius: 4px;
    width: 120px;
    height: 30px;
    cursor: pointer;
    background: #fff;
    line-height: 1.5;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-margin-end: 5px;
    margin-inline-end: 5px;
    font-size: 13px;
    color: #7f8384;
}

.activeMode {
    background: white;
    color: black !important;
    box-shadow: 0px 4px 4px 0px #0000000f;
}

.langSelectBox:after {
    content: ">";
    cursor: pointer;
    font: 17px monospace;
    color: #333;
    -webkit-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
    right: 8px;
    padding: 0 0 2px;
    /* border-bottom: 1px solid #999; */
    position: absolute;
    pointer-events: none;
    right: 10px;
    top: 5px;
    color: #7f8384;
}

.bottom_action_bar {
    margin-top: 16px;
    height: 32px;
}

.paste_text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 6px 10px;
    display: flex;
    align-items: center;
    gap: 4px;
    border: 1px solid #e2e2e2;
    border-radius: 6px;
}

.action-buttons {
    height: 36px;
    display: none;
}

.gap-4 {
    gap: 16px;
}

.number-input {
    display: flex;
    align-items: center;
    border-radius: 8px;
    overflow: hidden;
    max-width: 30%;
    border: 1px solid #e0e0e0;
}

.number-input button {
    width: 40px;
    height: 40px;
    border: none;
    background: #f1f4f6;
    font-size: 20px;
    cursor: pointer;
    outline: none;
}

.number-input input {
    width: 40px;
    height: 40px;
    border: none;
    text-align: center;
    font-size: 18px;
    outline: none;
}

.number-input button:hover {
    background: #e0e0e0;
}

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

@media (max-width: 992px) {
    .lang-n-words {
        flex-direction: column-reverse;
        gap: 5px;
    }
}

@media (width <=768px) {
    .flex-row {
        flex-direction: column;
    }
}